Issue1605009

classification
Title: str subclasses can be used in raise
Type: Severity: normal
Components: Core Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: pjenvey Nosy List: cgroves, leouserz, pjenvey
Priority: normal Keywords:

Created on 2006-11-29.04:50:34 by cgroves, last changed 2008-08-01.06:15:19 by pjenvey.

Messages
msg1332 (view) Author: Charlie Groves (cgroves) Date: 2006-11-29.04:50:34
A subclass of string can be used as an exception in a raise statement.  Only true str instances should be allowed.  This causes string_exceptions in test_descr to fail.
msg1333 (view) Author: Deleted User leouserz (leouserz) Date: 2006-12-20.17:59:34
this bug is worse than that, it appears raise in jython accepts many things

raise {}
class z:
   pass

x = z()
raise z

these work fine, but bombs in python.

leouser
msg3282 (view) Author: Philip Jenvey (pjenvey) Date: 2008-06-14.01:00:00
this bug prevents test_descr.string_exceptions from passing
msg3284 (view) Author: Philip Jenvey (pjenvey) Date: 2008-06-14.07:51:46
This is actually already fixed on the pep352 branch

I'll keep it open until it hits trunk or the asm branch, whichever comes 
first
msg3384 (view) Author: Philip Jenvey (pjenvey) Date: 2008-08-01.06:15:18
fixed on asm
History
Date User Action Args
2008-08-01 06:15:19pjenveysetstatus: open -> closed
resolution: remind -> fixed
messages: + msg3384
2008-06-14 07:51:47pjenveysetassignee: pjenvey
resolution: remind
messages: + msg3284
2008-06-14 01:00:00pjenveysetnosy: + pjenvey
messages: + msg3282
2006-11-29 04:50:34cgrovescreate